### Signal

# GtkSource CompletionContext::provider-model-changed

since: 5.6

#### Declaration

    void
    provider_model_changed (
      GtkSourceCompletionContext* self,
      GtkSourceCompletionProvider* provider,
      GListModel* model,
      gpointer user_data
    )

#### Description [src]

Emitted when a provider changes a model.

This signal is primarily useful for `GtkSourceCompletionProvider`‘s that want to track other providers in context. For example, it can be used to create a “top results” provider.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 5.6

#### Parameters

`provider`

  Type: `GtkSourceCompletionProvider`

  A `GtkSourceCompletionProvider`.

  The data is owned by the caller of the function.

`model`

  Type: `GObject`

  A `GListModel`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.